import anime from 'animejs'

export default class {
  constructor(pos, rad, color, ctx) {
    this.ctx = ctx;
    this.pos = pos;
    this.rad = rad;
    this.color = color;
  }

  _move() {
    anime({
      targets: this.pos,
      x: this.pos.originX - 50 + Math.random() * 50,
      y: this.pos.originY - 50 + Math.random() * 50,
      duration: 1000 * Math.random() + 3000,
      easing: 'easeInOutSine',
      complete: () => this._move()
    });
  }

  _draw() {
    this.ctx.beginPath();
    this.ctx.arc(this.pos.x, this.pos.y, this.rad, 0, Math.PI * 2, false);
    this.ctx.fillStyle = this.color;
    this.ctx.fill();
  }
}
